
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP实现抓取HTTPS内容的方法和错误处理 / iVAN</title>

    <meta name="description" content="PHP实现抓取HTTPS内容的方法和错误处理 最近在研究Hacker News API时遇到一个HTTPS问题.因为所有的Hacker News API都是通过加密的HTTPS协议访问的,跟普通的HTTP协议不同,当使用PHP里的函数 file_get_contents() 来获取API里提供的数据时,出现错误,使用的代码是这样的: &lt;?php $data = file_get_contents(&quot;https://www.liqingbo.cn/son?print=pretty&quot;); ...... 当运行上面的代码 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP实现抓取HTTPS内容的方法和错误处理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最近在研究Hacker News API时遇到一个HTTPS问题。因为所有的Hacker News API都是通过加密的HTTPS协议访问的，跟普通的HTTP协议不同，当使用PHP里的函数 file_get_contents() 来获取API里提供的数据时，出现错误，使用的代码是这样的：</p>
<p>&lt;?php<br />
$data = file_get_contents("https://www.liqingbo.cn/son?print=pretty");<br />
......<br />
当运行上面的代码是遇到下面的错误提示：</p>
<p>PHP Warning:  file_get_contents(): Unable to find the wrapper "https" - did you forget to enable it when you configured PHP?</p>
<p>为什么会出现这样的错误？</p>
<p>在网上经过一番搜索，发现遇到这样错误的人还不少，问题很直接，是因为在PHP的配置文件里没有开启一个参数，在我本机上是 /apache/bin/php.ini 里的 ;extension=php_openssl.dll 这一项，需要将前面的分号去掉。你可以用下面的脚本来检查你的PHP环境的配置：</p>
<p>$w = stream_get_wrappers();<br />
echo 'openssl: ',  extension_loaded  ('openssl') ? 'yes':'no', "\n";<br />
echo 'http wrapper: ', in_array('http', $w) ? 'yes':'no', "\n";<br />
echo 'https wrapper: ', in_array('https', $w) ? 'yes':'no', "\n";<br />
echo 'wrappers: ', var_dump($w);</p>
<p>运行上面的这个脚本片段，在我的机器上得到的结果是：</p>
<p>openssl: no<br />
http wrapper: yes<br />
https wrapper: no<br />
wrappers: array(10) {<br />
  [0]=&gt;<br />
  string(3) "php"<br />
  [1]=&gt;<br />
  string(4) "file"<br />
  [2]=&gt;<br />
  string(4) "glob"<br />
  [3]=&gt;<br />
  string(4) "data"<br />
  [4]=&gt;<br />
  string(4) "http"<br />
  [5]=&gt;<br />
  string(3) "ftp"<br />
  [6]=&gt;<br />
  string(3) "zip"<br />
  [7]=&gt;<br />
  string(13) "compress.zlib"<br />
  [8]=&gt;<br />
  string(14) "compress.bzip2"<br />
  [9]=&gt;<br />
  string(4) "phar"<br />
}</p>
<p>替代方案</p>
<p>发现错误，改正错误，这很简单，困难的是，发现错误后无法改正错误。我原本是想将这个脚本方法远程主机上，但我无法修改远程主机的PHP配置，结果是，我无法使用这一方案，但我们不能在一棵树上吊死，这条路走不通，看看有没有其它路。</p>
<p>另外一个我经常用的PHP里抓取内容的函数是 curl ，它比 file_get_contents() 更强大，提供了很多的可选参数。对于访问 HTTPS 内容的问题，我们需要使用的 CURL 配置参数是：</p>
<p>curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);</p>
<p>你可以从语义上看出，它是忽略/跳过了SSL安全验证。也许这不是一个很好的做法，但对于普通的场景中，这几经足够了。</p>
<p>下面是利用 Curl 封装的一个能访问HTTPS内容的函数：</p>
<p>function getHTTPS($url) {<br />
  $ch = curl_init();<br />
  curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);<br />
  curl_setopt($ch, CURLOPT_HEADER, false);<br />
  curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);<br />
  curl_setopt($ch, CURLOPT_URL, $url);<br />
  curl_setopt($ch, CURLOPT_REFERER, $url);<br />
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);<br />
  $result = curl_exec($ch);<br />
  curl_close($ch);<br />
  return $result;<br />
}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 22:17:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%94%99%e8%af%af/" title="错误">错误</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a0%e5%af%86/" title="加密">加密</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/api/" title="api">api</a>, <a href="https://www.iamivan.net/tag/hacker/" title="Hacker">Hacker</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP实现抓取HTTPS内容的方法和错误处理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8Revp.html" rel="bookmark">PHP抓取HTTPS内容和错误处理的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题 在研究Hacker News API的时候遇到一个HTTPS问题.因为所有的Hacker News API都是通过加密的HTTPS协议访问的,跟普通的HTTP协议不同,当使用PHP里的函数 file_get_contents() 来获取API里提供的数据时,出现错误 使用的代码是这样的: &lt;?php $data = file_get_contents(&quot;/http://blog.it985.com/&quot;); ?&gt; 当运行上面的代码是遇到下面的错误提示: PHP Warn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkymrp.html" rel="bookmark">PHP实现抓取HTTPS内容&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在研究Hacker News API时遇到一个HTTPS问题.因为所有的Hacker News API都是通过加密的HTTPS协议访问的,跟普通的HTTP协议不同,当使用PHP里的函数 file_get_contents() 来获取API里提供的数据时,出现错误,使用的代码是这样的: &lt;?php$data = file_get_contents(&quot;https://hacker-news.firebaseio.com/v0/topstories.json?print=pretty&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkld2z.html" rel="bookmark">PHP中file&lowbar;get&lowbar;contents函数抓取https地址出错的解决方法&lpar;两种方法&rpar;&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一: 在php中,抓取https的网站,提示如下的错误内容: Warning: file_get_contents() [function.file-get-contents]: failed to open stream: Invalid argument in I:Webmyphpa.php on line 16 打开php.ini文件找到 ;extension=php_openssl.dll ,去掉双引号&quot;;&quot; ,重启web服务器即可. apache服务器的话,可以同时启用m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeRPJjb.html" rel="bookmark">php抓取https网址出现错误的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP中有一个函数file_get_contents():通过该函数可以实现对指定网页内容的抓取操作,但是如果未对PHP进行正确的配置的话,在抓取https的网页内容时会出现如下错误. Warning:file_get_contents(): Unable to find the wrapper &quot;https&quot; 遇到以上情况,可通过对php.ini文件的正确配置来解决: 1.打开php.ini文件: 2.Ctrl+F找到extension=php_openssl.dll这一行内容: 3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bokXEb.html" rel="bookmark">如何让搜索引擎抓取AJAX内容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				越来越多的网站,开始采用&quot;单页面结构&quot;(Single-page application). 整个网站只有一张网页,采用Ajax技术,根据用户的输入,加载不同的内容. 这种做法的好处是用户体验好.节省流量,缺点是AJAX内容无法被搜索引擎抓取.举例来说,你有一个网站. http://example.com 用户通过井号结构的URL,看到不同的内容. http://example.com#1 http://example.com#2 http://example.com#3 但是,搜索引擎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlR2Gaz.html" rel="bookmark">python中两种判断和抓取网页编码的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在web开发的时候我们经常会遇到网页抓取和分析,各种语言都可以完成这个功能.我喜欢用python实现,因为python提供了很多成熟的模块,可以很方便的实现网页抓取. 但是在抓取过程中会遇到编码的问题,那今天我们来看一下如何判断网页的编码: 网上很多网页的编码格式都不一样,大体上是GBK,GB2312,UTF-8等. 我们在获取网页的的数据后,先要对网页的编码进行判断,才能把抓取的内容的编码统一转换为我们能够处理的编码,避免乱码问题的出现. 下面介绍两种判断网页编码的方法: 方法一:使用urll			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RO6ap.html" rel="bookmark">ASP&period;NET抓取网页内容的实现方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了ASP.NET抓取网页内容的实现方法,涉及使用HttpWebRequest及WebResponse抓取网页内容的技巧,需要的朋友可以参考下     本文实例讲述了ASP.NET抓取网页内容的实现方法.分享给大家供大家参考.具体实现方法如下: 一.ASP.NET 使用HttpWebRequest抓取网页内容 代码如下: /// &lt;summary&gt;方法一:比较推荐 /// 用HttpWebRequest取得网页源码 /// 对于带BOM的网页很有效,不管是什么编码都能正确识别			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXgvAp.html" rel="bookmark">如何让搜索引擎抓取AJAX内容解决方案&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				越来越多的网站,开始采用&quot;单页面结构&quot;(Single-page application). 整个网站只有一张网页,采用Ajax技术,根据用户的输入,加载不同的内容. 这种做法的好处是用户体验好.节省流量,缺点是AJAX内容无法被搜索引擎抓取.举例来说,你有一个网站. http://example.com 用户通过井号结构的URL,看到不同的内容. http://example.com#1 http://example.com#2 http://example.com#3 但是,搜索引擎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8k2NZM.html" rel="bookmark">JAVA使用爬虫抓取网站网页内容的方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JAVA使用爬虫抓取网站网页内容的方法.分享给大家供大家参考.具体如下: 最近在用JAVA研究下爬网技术,呵呵,入了个门,把自己的心得和大家分享下 以下提供二种方法,一种是用apache提供的包．另一种是用JAVA自带的. 代码如下: // 第一种方法 //这种方法是用apache提供的包,简单方便 //但是要用到以下包:commons-codec-1.4.jar // commons-httpclient-3.1.jar // commons-logging-1.0.4.jar			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgEvmz.html" rel="bookmark" class="title">STL中的sort和unique函数</a>
					<div>
						问题描述 STL中的sort和unique函数 编了一个小程序,对STL算法中的sort()和unique()进行了测试,发现unique()输出结果不正确.程序如下: #include &lt;io ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyvRdp.html" rel="bookmark" class="title">如何让图片或文字垂直居中于div层</a>
					<div>
						垂直居中 具体参照方法如下:以下是HTML网页特效代码,点击运行按钮可查看效果: [Ctrl+A 全部选择 提示:你可先修改部分代码,再按运行]					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbErdAM.html" rel="bookmark" class="title">改进性能和样式的24个ASP 技巧</a>
					<div>
						技巧|性能 1.ASP技巧集锦(官方权威版)-7 [2005-02-23]     2.ASP技巧集锦(官方权威版)-6 [2005-02-23]     3.ASP技巧集锦(官方权威版)-5 [20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgLr3p.html" rel="bookmark" class="title">网站日3000IP降到300IP的教训</a>
					<div>
						我有一个网站叫BBVoip,从去年6月份开始做起,到现在已经有一年多了.这里面有成功的喜悦,也有失败的教训.可以说,现在我已经没有信心做下去的,有人要的话,我可以出售.为什么呢?原因就是我把一个日30 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ13Bp.html" rel="bookmark" class="title">深入研究SQL结构化查询语言中的LIKE语句</a>
					<div>
						语句 在SQL结构化查询语言中,LIKE语句有着至关重要的作用. LIKE语句的语法格式是:select * from 表名 where 字段名 like 对应值(子串),它主要是针对字符型字段的,它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLZQvb.html" rel="bookmark" class="title">使用C&num;控制远程计算机的服务</a>
					<div>
						控制 在.net中提供了一些类来显示和控制Windows系统上的服务,并可以实现对远程计算机服务服务的访问,如System.ServiceProcess命名空间下面的ServiceController ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyNL4p.html" rel="bookmark" class="title">在C&num;中获取页面元素布局信息的代码</a>
					<div>
						最近研究一个如何在网页定位验证码并截图的问题时, 用SS写了一段C#小脚本可以轻松获取页面任 意元素的布局信息 (top, left, width, height). 10行功能代码, 觉得有点用,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKV88M.html" rel="bookmark" class="title">新一代智能城域光网络</a>
					<div>
						(范忠礼 南京邮电学院 南京 210003 ) 摘 要 本文介绍了一种标准化的光控制平面.光控制平面被分解成邻居发现.服务发现.连接控制和拓扑/资源发现等几个基本的过程.不同的网络组织和分割导致了几个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1D07z.html" rel="bookmark" class="title">程序员成长两年记&mdash;&mdash;写给奋斗中的IT同行</a>
					<div>
						我不打算在这儿像记流水帐似的,故意逼着自己为这两年写下点什么.我只想说出一些真实的感受,使自己更加清晰的面对未来的日子.也借以此文,献给即将或已经在奋斗中的IT同行. 踏入软件这一行,纯粹是一次偶然. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN631b.html" rel="bookmark" class="title">制作漂亮鲜花文字效果</a>
					<div>
						制作漂亮鲜花文字效果--最终效果图 素材 1.新建一个文档,用文字工具分别输入3个字母,形成3个单独的文字层.分别自由变换缩放,并移动到合适的位置.(图P-1.1,图P-1.2所示)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7NDZM.html" rel="bookmark" class="title">使用WPS的邮件合并功能实现批量打印表格与文档的方法</a>
					<div>
						  使用WPS的邮件合并功能实现批量打印表格与文档的方法 1.打印请柬:如果不是手工书写的请柬,每份请柬只有客人名字不同,逐份打开文档来填写,废不少功夫. 2.公司邮件:只有开头的收件人和部分信息不同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKQeyp.html" rel="bookmark" class="title">解析Oracle查询和删除JOB的SQL</a>
					<div>
						本篇文章是对Oracle查询和删除JOB的SQL的实现方法进行了详细的分析介绍,需要的朋友参考下   查询及删除重复记录的SQL语句1.查找表中多余的重复记录,重复记录是根据单个字段(peopleId ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKOyVp.html" rel="bookmark" class="title">PHP自动识别字符集并完成转码详解</a>
					<div>
						话不多说,直接上函数,这个函数是用来对字符串进行检查和转码的.需要的朋友可以过来参考下   因为自己使用字符编码一般的是utf-8编码,但如果对方的博客使用gb2312编码的话,POST过来就会出现乱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK72aab.html" rel="bookmark" class="title">浅谈MySQL中的触发器</a>
					<div>
						  这篇文章主要介绍了MySQL中的触发器,包括使用触发器添加.更新.删除用户等操作,需要的朋友可以参考下 在很多时候,干得利索不如想的明白.方案应该根据场景来设计,不是盲目的依靠经验,当然这也算新经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7AY0M.html" rel="bookmark" class="title">台式机在没有网卡的情况下怎么连接迷你路由器？</a>
					<div>
						在没有网卡的情况下,台式机该如何连接迷你路由器呢?下面我来说说. 设置路由器 1.登入路由器界面. 1)打开电脑桌面上的浏览器,清空地址栏并输入192.168.1.253,回车后页面会弹出登录框. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9ElZXM.html" rel="bookmark" class="title">B&sol;S项目结束，又是一个新的开始</a>
					<div>
						    在软考后,B/S项目也结束了.从今年的三月份,到现在的十一月份,历时八个月,期间有过因为合作.参与项目.软考等方面原因中断,而原本计划在半年完成的项目用了八个月.     学习完B/S项目,看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArZyvp.html" rel="bookmark" class="title">spring启动component-scan类扫描加载过程---源码分析</a>
					<div>
						最近因为写书的事情,一段时间没有写博客了,有朋友最近问到了spring加载类的过程,尤其是基于annotation注解的加载过程,有些时候如果由于某些系统部署的问题,加载不到,很是不解!就针对这个问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7VG0z.html" rel="bookmark" class="title">fragment-Android Fragment&plus;ViewPager的相关问题</a>
					<div>
						问题描述 Android Fragment+ViewPager的相关问题 问题描述: Activity中使用ViewPager加载了二个Fragment,然后这二个Fragment(比如A_Fragm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kwBNM.html" rel="bookmark" class="title">以技术驱动未来  AdTime成立广告创新研究院</a>
					<div>
						近日,由杭州泰一指尚科技有限公司主办的AdTime创新研究院第一次会议暨研究院成立大会在北京召开.该研究院的成立主要致力于探索新型智能化.互动性.模拟人脑思维的广告承载技术,为广告主及广告受众提供更好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lgX9b.html" rel="bookmark" class="title">android签名&period;jks和&period;keystore文件有什么区别？</a>
					<div>
						问题描述 android签名.jks和.keystore文件有什么区别? 用AS签名时的新建方式新建了.jks文件 就可以成功签名, 但是用别人的keystore文件重新签名就不行Error:Exec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0NlnM.html" rel="bookmark" class="title">java实体类-java  映射实体类使用</a>
					<div>
						问题描述 java 映射实体类使用 从数据库根据表映射生成一个实体类,这个类如何使用 ,因为我没办法引用啊 设定参数值后 那要怎么传参取参等等... 解决方案 把问题再具体化下,你想在哪引用.传值是从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydG7vb.html" rel="bookmark" class="title">工信部抽查网站备案信息空壳网站将取消接入</a>
					<div>
						比特网(Chinabyte)12月24日消息,日前,工业和信息化部下发了对已备案网站信息进行抽样核查的通知,通知称,为加强和改进互联网管理工作,提高工业和信息化部ICP/IP地址/域名备案信息管理系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXRmVz.html" rel="bookmark" class="title">临时记录Hadoop 2&period;x HA cluster</a>
					<div>
						1.每个节点启动zookeeper 服务 zkServer.sh start 2.每个节点先启动journal node hadoop-daemon.sh start journalnode 3.在某 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YZOoz.html" rel="bookmark" class="title">V5SHOP：电子商务竞争引爆外包小高涨</a>
					<div>
						自2010年12月8日,中国第二大B2C公司当当网正式在美国纽约交易所上市,在电子商务市场摸爬滚打11年的当当网,终于在纽交所演绎了B2C&quot;剩者为王&quot;的故事.近来,B2C电子商务企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyBvAz.html" rel="bookmark" class="title">聊城市政府电子签章系统成功案例</a>
					<div>
						聊城市地处山东西部,在经济地位上也许并不如胶东地区,但是政府信息化建设中却一直处于山东的前列.为了规范未来的政府电子政务建设,市政府出台了&lt;关于印发聊城市国民经济和社会信息化&quot;十一五& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj9wOM.html" rel="bookmark" class="title">php-怎么采集空气质量发布系统系统的数据（急）</a>
					<div>
						问题描述 怎么采集空气质量发布系统系统的数据(急) 怎么采集空气质量发布系统系统的数据,火车头,php爬虫.具体操作 解决方案 用php咯,snoppy插件看看					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod00jM.html" rel="bookmark" class="title">商务部关于加快我国流通领域现代物流发展的指导意见</a>
					<div>
						为适应全面建设小康社会的需要,促进我国流通领域现代物流持续.快速.协调发展,根据&lt;中华人民共和国国民经济和社会发展第十一个五年规划纲要&gt;和&lt;国务院关于加快发展服务业的若干 意见&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgE2vM.html" rel="bookmark" class="title">关于JS传值的问题</a>
					<div>
						问题描述 我是新手,用的C#和SQL2003,.NET的版本也2003的,现在遇到的问题是这样的:当我点击一个'选择'按钮,会弹出一个小窗口,里面是一行行的数据列表(已与数据库绑定),数据有id,名称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnG4dM.html" rel="bookmark" class="title">Fortune爆料博客平台运营商Automattic，在投资圈引发追逐</a>
					<div>
						上个月Fortune爆料博客平台运营商Automattic(更熟悉的称谓是WordPress母公司)正在寻求超过1亿美元的新一轮融资,在投资圈引发追逐.今日,Automattic CEO Matt M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW2kkz.html" rel="bookmark" class="title">全球最富互联网企业家30人名单，中国有五人上榜</a>
					<div>
						美国科技博客BusinessInsider日前公布了一项全球最富互联网企业家30人名单.亚马逊创始人杰夫·贝佐斯(JeffBezos)排首位,身价202亿美元.中国有5人上榜. 亚马逊创始人杰夫·贝佐 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
